diff --git a/fc-solve/source/offloading_queue.h b/fc-solve/source/offloading_queue.h
index 51015793b..2d9a3cf01 100644
--- a/fc-solve/source/offloading_queue.h
+++ b/fc-solve/source/offloading_queue.h
@@ -11,7 +11,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "rinutils.h"
@@ -19,119 +20,120 @@ extern "C" {
 #include <fcntl.h>
 #endif
 
-typedef const unsigned char *fcs_offloading_queue_item_t;
+    typedef const unsigned char *fcs_offloading_queue_item_t;
 
-typedef struct
-{
-    long num_inserted, num_items_in_queue, num_extracted;
-} fcs_queue_stats_t;
+    typedef struct
+    {
+        long num_inserted, num_items_in_queue, num_extracted;
+    } fcs_queue_stats_t;
 
-static inline void fcs_queue_stats_init(fcs_queue_stats_t *const q)
-{
-    *q = (typeof(*q)){
-        .num_inserted = 0, .num_items_in_queue = 0, .num_extracted = 0};
-}
+    static inline void fcs_queue_stats_init(fcs_queue_stats_t *const q)
+    {
+        *q = (typeof(*q)){
+            .num_inserted = 0, .num_items_in_queue = 0, .num_extracted = 0};
+    }
 
-static inline void q_stats_insert(fcs_queue_stats_t *const q)
-{
-    q->num_inserted++;
-    q->num_items_in_queue++;
-}
+    static inline void q_stats_insert(fcs_queue_stats_t *const q)
+    {
+        q->num_inserted++;
+        q->num_items_in_queue++;
+    }
 
-static inline void q_stats_extract(fcs_queue_stats_t *const q)
-{
-    q->num_items_in_queue--;
-    q->num_extracted++;
-}
+    static inline void q_stats_extract(fcs_queue_stats_t *const q)
+    {
+        q->num_items_in_queue--;
+        q->num_extracted++;
+    }
 
-static inline fcs_bool_t q_stats_is_empty(fcs_queue_stats_t *const q)
-{
-    return (q->num_items_in_queue == 0);
-}
+    static inline fcs_bool_t q_stats_is_empty(fcs_queue_stats_t *const q)
+    {
+        return (q->num_items_in_queue == 0);
+    }
 
 #if !defined(FCS_DBM_USE_OFFLOADING_QUEUE)
 
-typedef struct fcs_Q_item_wrapper_struct
-{
-    fcs_offloading_queue_item_t datum;
-    struct fcs_Q_item_wrapper_struct *next;
-} fcs_Q_item_wrapper_t;
-
-typedef struct
-{
-    fcs_compact_allocator_t queue_allocator;
-    fcs_Q_item_wrapper_t *queue_head, *queue_tail, *queue_recycle_bin;
-    fcs_queue_stats_t stats;
-} fcs_offloading_queue_t;
-
-static inline void fcs_offloading_queue__init(
-    fcs_offloading_queue_t *const queue,
-    fcs_meta_compact_allocator_t *const meta_alloc)
-{
-    fc_solve_compact_allocator_init(&(queue->queue_allocator), meta_alloc);
-
-    queue->queue_head = queue->queue_tail = queue->queue_recycle_bin = NULL;
-    fcs_queue_stats_init(&queue->stats);
-}
+    typedef struct fcs_Q_item_wrapper_struct
+    {
+        fcs_offloading_queue_item_t datum;
+        struct fcs_Q_item_wrapper_struct *next;
+    } fcs_Q_item_wrapper_t;
 
-static inline void fcs_offloading_queue__destroy(
-    fcs_offloading_queue_t *const queue)
-{
-    fc_solve_compact_allocator_finish(&(queue->queue_allocator));
-}
+    typedef struct
+    {
+        fcs_compact_allocator_t queue_allocator;
+        fcs_Q_item_wrapper_t *queue_head, *queue_tail, *queue_recycle_bin;
+        fcs_queue_stats_t stats;
+    } fcs_offloading_queue_t;
+
+    static inline void fcs_offloading_queue__init(
+        fcs_offloading_queue_t *const queue,
+        fcs_meta_compact_allocator_t *const meta_alloc)
+    {
+        fc_solve_compact_allocator_init(&(queue->queue_allocator), meta_alloc);
 
-static inline fcs_bool_t fcs_offloading_queue__extract(
-    fcs_offloading_queue_t *const queue,
-    fcs_offloading_queue_item_t *const return_item)
-{
-    fcs_Q_item_wrapper_t *const item = queue->queue_head;
+        queue->queue_head = queue->queue_tail = queue->queue_recycle_bin = NULL;
+        fcs_queue_stats_init(&queue->stats);
+    }
 
-    if (!item)
+    static inline void fcs_offloading_queue__destroy(
+        fcs_offloading_queue_t *const queue)
     {
-        *return_item = NULL;
-        return FALSE;
+        fc_solve_compact_allocator_finish(&(queue->queue_allocator));
     }
 
-    *return_item = item->datum;
-
-    if (!(queue->queue_head = item->next))
+    static inline fcs_bool_t fcs_offloading_queue__extract(
+        fcs_offloading_queue_t *const queue,
+        fcs_offloading_queue_item_t *const return_item)
     {
-        queue->queue_tail = NULL;
-    }
-    item->next = queue->queue_recycle_bin;
-    queue->queue_recycle_bin = item;
+        fcs_Q_item_wrapper_t *const item = queue->queue_head;
 
-    q_stats_extract(&queue->stats);
-    return TRUE;
-}
+        if (!item)
+        {
+            *return_item = NULL;
+            return FALSE;
+        }
 
-static inline void fcs_offloading_queue__insert(
-    fcs_offloading_queue_t *const queue,
-    const fcs_offloading_queue_item_t *const datum)
-{
-    fcs_Q_item_wrapper_t *new_item;
-    if (queue->queue_recycle_bin)
-    {
-        queue->queue_recycle_bin = (new_item = queue->queue_recycle_bin)->next;
-    }
-    else
-    {
-        new_item = (fcs_Q_item_wrapper_t *)fcs_compact_alloc_ptr(
-            &(queue->queue_allocator), sizeof(*new_item));
-    }
-    new_item->datum = *datum;
-    new_item->next = NULL;
+        *return_item = item->datum;
 
-    if (queue->queue_tail)
-    {
-        queue->queue_tail = queue->queue_tail->next = new_item;
+        if (!(queue->queue_head = item->next))
+        {
+            queue->queue_tail = NULL;
+        }
+        item->next = queue->queue_recycle_bin;
+        queue->queue_recycle_bin = item;
+
+        q_stats_extract(&queue->stats);
+        return TRUE;
     }
-    else
+
+    static inline void fcs_offloading_queue__insert(
+        fcs_offloading_queue_t *const queue,
+        const fcs_offloading_queue_item_t *const datum)
     {
-        queue->queue_head = queue->queue_tail = new_item;
+        fcs_Q_item_wrapper_t *new_item;
+        if (queue->queue_recycle_bin)
+        {
+            queue->queue_recycle_bin =
+                (new_item = queue->queue_recycle_bin)->next;
+        }
+        else
+        {
+            new_item = (fcs_Q_item_wrapper_t *)fcs_compact_alloc_ptr(
+                &(queue->queue_allocator), sizeof(*new_item));
+        }
+        new_item->datum = *datum;
+        new_item->next = NULL;
+
+        if (queue->queue_tail)
+        {
+            queue->queue_tail = queue->queue_tail->next = new_item;
+        }
+        else
+        {
+            queue->queue_head = queue->queue_tail = new_item;
+        }
+        q_stats_insert(&queue->stats);
     }
-    q_stats_insert(&queue->stats);
-}
 
 #else
 
diff --git a/fc-solve/source/output_to_file.h b/fc-solve/source/output_to_file.h
index d272f87f1..0a34ea786 100644
--- a/fc-solve/source/output_to_file.h
+++ b/fc-solve/source/output_to_file.h
@@ -11,146 +11,150 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "rinutils.h"
 #include "fcs_enums.h"
 #include "fcs_user.h"
 
-typedef struct
-{
-    const char *output_filename;
-    int standard_notation;
-    fcs_bool_t debug_iter_state_output;
+    typedef struct
+    {
+        const char *output_filename;
+        int standard_notation;
+        fcs_bool_t debug_iter_state_output;
 #ifndef FC_SOLVE_IMPLICIT_PARSABLE_OUTPUT
-    fcs_bool_t parseable_output;
+        fcs_bool_t parseable_output;
 #endif
-    fcs_bool_t canonized_order_output;
+        fcs_bool_t canonized_order_output;
 #ifndef FC_SOLVE_IMPLICIT_T_RANK
-    fcs_bool_t display_10_as_t;
+        fcs_bool_t display_10_as_t;
 #endif
-    fcs_bool_t display_parent_iter_num;
-    fcs_bool_t display_moves;
-    fcs_bool_t display_states;
-    fcs_bool_t show_exceeded_limits;
-} fc_solve_display_information_context_t;
-
-static const fc_solve_display_information_context_t INITIAL_DISPLAY_CONTEXT = {
-    .debug_iter_state_output = FALSE,
+        fcs_bool_t display_parent_iter_num;
+        fcs_bool_t display_moves;
+        fcs_bool_t display_states;
+        fcs_bool_t show_exceeded_limits;
+    } fc_solve_display_information_context_t;
+
+    static const fc_solve_display_information_context_t
+        INITIAL_DISPLAY_CONTEXT = {.debug_iter_state_output = FALSE,
 #ifndef FC_SOLVE_IMPLICIT_PARSABLE_OUTPUT
-    .parseable_output = FALSE,
+            .parseable_output = FALSE,
 #endif
-    .canonized_order_output = FALSE,
+            .canonized_order_output = FALSE,
 #ifndef FC_SOLVE_IMPLICIT_T_RANK
-    .display_10_as_t = FALSE,
+            .display_10_as_t = FALSE,
 #endif
-    .display_parent_iter_num = FALSE,
-    .display_moves = FALSE,
-    .display_states = TRUE,
-    .standard_notation = FC_SOLVE__STANDARD_NOTATION_NO,
-    .output_filename = NULL,
-    .show_exceeded_limits = FALSE};
-
-static inline void fc_solve_output_result_to_file(FILE *const output_fh,
-    void *const instance, const int ret,
-    const fc_solve_display_information_context_t *const dc_ptr)
-{
-    const_AUTO(display_context, (*dc_ptr));
-    if (ret == FCS_STATE_WAS_SOLVED)
+            .display_parent_iter_num = FALSE,
+            .display_moves = FALSE,
+            .display_states = TRUE,
+            .standard_notation = FC_SOLVE__STANDARD_NOTATION_NO,
+            .output_filename = NULL,
+            .show_exceeded_limits = FALSE};
+
+    static inline void fc_solve_output_result_to_file(FILE *const output_fh,
+        void *const instance, const int ret,
+        const fc_solve_display_information_context_t *const dc_ptr)
     {
-        fputs("-=-=-=-=-=-=-=-=-=-=-=-\n\n", output_fh);
+        const_AUTO(display_context, (*dc_ptr));
+        if (ret == FCS_STATE_WAS_SOLVED)
+        {
+            fputs("-=-=-=-=-=-=-=-=-=-=-=-\n\n", output_fh);
 #ifdef FCS_WITH_MOVES
-        fcs_move_t move;
-        char state_as_string[1000];
+            fcs_move_t move;
+            char state_as_string[1000];
 
-        if (display_context.display_states)
-        {
-            freecell_solver_user_current_state_stringify(instance,
-                state_as_string FC_SOLVE__PASS_PARSABLE(
-                    display_context.parseable_output),
-                display_context.canonized_order_output FC_SOLVE__PASS_T(
-                    display_context.display_10_as_t));
-
-            fputs(state_as_string, output_fh);
-            fputs("\n\n====================\n\n", output_fh);
-        }
+            if (display_context.display_states)
+            {
+                freecell_solver_user_current_state_stringify(instance,
+                    state_as_string FC_SOLVE__PASS_PARSABLE(
+                        display_context.parseable_output),
+                    display_context.canonized_order_output FC_SOLVE__PASS_T(
+                        display_context.display_10_as_t));
 
-        int move_num = 0;
-        while (freecell_solver_user_get_next_move(instance, &move) == 0)
-        {
-            if (display_context.display_moves)
+                fputs(state_as_string, output_fh);
+                fputs("\n\n====================\n\n", output_fh);
+            }
+
+            int move_num = 0;
+            while (freecell_solver_user_get_next_move(instance, &move) == 0)
             {
-                if (display_context.display_states &&
-                    display_context.standard_notation)
+                if (display_context.display_moves)
                 {
-                    fputs("Move: ", output_fh);
-                }
+                    if (display_context.display_states &&
+                        display_context.standard_notation)
+                    {
+                        fputs("Move: ", output_fh);
+                    }
 
-                freecell_solver_user_stringify_move_w_state(instance,
-                    state_as_string, move, display_context.standard_notation);
-                fprintf(output_fh,
-                    (display_context.standard_notation ? "%s " : "%s\n"),
-                    state_as_string);
-                move_num++;
-                if (display_context.standard_notation)
-                {
-                    if ((move_num % 10 == 0) || display_context.display_states)
+                    freecell_solver_user_stringify_move_w_state(instance,
+                        state_as_string, move,
+                        display_context.standard_notation);
+                    fprintf(output_fh,
+                        (display_context.standard_notation ? "%s " : "%s\n"),
+                        state_as_string);
+                    move_num++;
+                    if (display_context.standard_notation)
+                    {
+                        if ((move_num % 10 == 0) ||
+                            display_context.display_states)
+                        {
+                            putc('\n', output_fh);
+                        }
+                    }
+                    if (display_context.display_states)
                     {
                         putc('\n', output_fh);
                     }
+                    fflush(output_fh);
                 }
+
                 if (display_context.display_states)
                 {
-                    putc('\n', output_fh);
-                }
-                fflush(output_fh);
-            }
+                    freecell_solver_user_current_state_stringify(instance,
+                        state_as_string FC_SOLVE__PASS_PARSABLE(
+                            display_context.parseable_output),
+                        display_context.canonized_order_output FC_SOLVE__PASS_T(
+                            display_context.display_10_as_t));
 
-            if (display_context.display_states)
-            {
-                freecell_solver_user_current_state_stringify(instance,
-                    state_as_string FC_SOLVE__PASS_PARSABLE(
-                        display_context.parseable_output),
-                    display_context.canonized_order_output FC_SOLVE__PASS_T(
-                        display_context.display_10_as_t));
+                    fprintf(output_fh, "%s\n", state_as_string);
+                }
 
-                fprintf(output_fh, "%s\n", state_as_string);
+                if (display_context.display_states ||
+                    (!display_context.standard_notation))
+                {
+                    fputs("\n====================\n\n", output_fh);
+                }
             }
 
-            if (display_context.display_states ||
-                (!display_context.standard_notation))
+            if (display_context.standard_notation &&
+                (!display_context.display_states))
             {
-                fputs("\n====================\n\n", output_fh);
+                fputs("\n\n", output_fh);
             }
-        }
+#endif
 
-        if (display_context.standard_notation &&
-            (!display_context.display_states))
+            fputs("This game is solveable.\n", output_fh);
+        }
+        else if (display_context.show_exceeded_limits &&
+                 (ret == FCS_STATE_SUSPEND_PROCESS))
         {
-            fputs("\n\n", output_fh);
+            fputs("Iterations count exceeded.\n", output_fh);
+        }
+        else
+        {
+            fputs("I could not solve this game.\n", output_fh);
         }
-#endif
-
-        fputs("This game is solveable.\n", output_fh);
-    }
-    else if (display_context.show_exceeded_limits &&
-             (ret == FCS_STATE_SUSPEND_PROCESS))
-    {
-        fputs("Iterations count exceeded.\n", output_fh);
-    }
-    else
-    {
-        fputs("I could not solve this game.\n", output_fh);
-    }
 
-    fprintf(output_fh, "Total number of states checked is %ld.\n",
-        (long)freecell_solver_user_get_num_times_long(instance));
+        fprintf(output_fh, "Total number of states checked is %ld.\n",
+            (long)freecell_solver_user_get_num_times_long(instance));
 #ifndef FCS_DISABLE_NUM_STORED_STATES
-    fprintf(output_fh, "This scan generated %ld states.\n",
-        (long)freecell_solver_user_get_num_states_in_collection_long(instance));
+        fprintf(output_fh, "This scan generated %ld states.\n",
+            (long)freecell_solver_user_get_num_states_in_collection_long(
+                instance));
 #endif
-}
+    }
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/portable_time.h b/fc-solve/source/portable_time.h
index 7efc63984..df9af462f 100644
--- a/fc-solve/source/portable_time.h
+++ b/fc-solve/source/portable_time.h
@@ -11,7 +11,8 @@
 // routines. Works on Win32 and UNIX-like systems.
 #pragma once
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "typeof_wrap.h"
@@ -20,11 +21,11 @@ extern "C" {
 #ifndef WIN32
 #include <sys/time.h>
 
-typedef struct
-{
-    struct timeval tv;
-    struct timezone tz;
-} fcs_portable_time_t;
+    typedef struct
+    {
+        struct timeval tv;
+        struct timezone tz;
+    } fcs_portable_time_t;
 
 #define FCS_GET_TIME(pt) gettimeofday(&((pt).tv), &((pt).tz))
 #define FCS_TIME_GET_SEC(pt) ((long long)((pt).tv.tv_sec))
@@ -49,50 +50,51 @@ typedef struct
 #define FCS_LL9_FMT "%09I64d"
 #endif
 
-static inline fcs_portable_time_t fcs_get_time(void)
-{
-    fcs_portable_time_t ret;
-    FCS_GET_TIME(ret);
-    return ret;
-}
+    static inline fcs_portable_time_t fcs_get_time(void)
+    {
+        fcs_portable_time_t ret;
+        FCS_GET_TIME(ret);
+        return ret;
+    }
 #define FCS_T_FMT FCS_LL_FMT "." FCS_LL6_FMT
 #define FCS_B_AT_FMT "Board No. " FCS_LL_FMT " at " FCS_T_FMT
-static inline void fc_solve_print_intractable(const long long board_num)
-{
-    const_AUTO(mytime, fcs_get_time());
-    printf("Intractable " FCS_B_AT_FMT "\n", board_num,
-        FCS_TIME_GET_SEC(mytime), FCS_TIME_GET_USEC(mytime));
-}
+    static inline void fc_solve_print_intractable(const long long board_num)
+    {
+        const_AUTO(mytime, fcs_get_time());
+        printf("Intractable " FCS_B_AT_FMT "\n", board_num,
+            FCS_TIME_GET_SEC(mytime), FCS_TIME_GET_USEC(mytime));
+    }
 
-static inline void fc_solve_print_unsolved(const long long board_num)
-{
-    const_AUTO(mytime, fcs_get_time());
-    printf("Unsolved " FCS_B_AT_FMT "\n", board_num, FCS_TIME_GET_SEC(mytime),
-        FCS_TIME_GET_USEC(mytime));
-}
+    static inline void fc_solve_print_unsolved(const long long board_num)
+    {
+        const_AUTO(mytime, fcs_get_time());
+        printf("Unsolved " FCS_B_AT_FMT "\n", board_num,
+            FCS_TIME_GET_SEC(mytime), FCS_TIME_GET_USEC(mytime));
+    }
 
-static inline void fc_solve_print_started_at(void)
-{
-    const_AUTO(mytime, fcs_get_time());
-    printf("Started at " FCS_T_FMT "\n", FCS_TIME_GET_SEC(mytime),
-        FCS_TIME_GET_USEC(mytime));
-}
+    static inline void fc_solve_print_started_at(void)
+    {
+        const_AUTO(mytime, fcs_get_time());
+        printf("Started at " FCS_T_FMT "\n", FCS_TIME_GET_SEC(mytime),
+            FCS_TIME_GET_USEC(mytime));
+    }
 
-static inline void fc_solve_print_reached(
-    const long long board_num, const long long total_num_iters)
-{
-    const_AUTO(mytime, fcs_get_time());
-    printf("Reached " FCS_B_AT_FMT " (total_num_iters=" FCS_LL_FMT ")\n",
-        board_num, FCS_TIME_GET_SEC(mytime), FCS_TIME_GET_USEC(mytime),
-        total_num_iters);
-}
+    static inline void fc_solve_print_reached(
+        const long long board_num, const long long total_num_iters)
+    {
+        const_AUTO(mytime, fcs_get_time());
+        printf("Reached " FCS_B_AT_FMT " (total_num_iters=" FCS_LL_FMT ")\n",
+            board_num, FCS_TIME_GET_SEC(mytime), FCS_TIME_GET_USEC(mytime),
+            total_num_iters);
+    }
 
-static inline void fc_solve_print_finished(const long long total_num_iters)
-{
-    const_AUTO(mytime, fcs_get_time());
-    printf(("Finished at " FCS_T_FMT " (total_num_iters=" FCS_LL_FMT ")\n"),
-        FCS_TIME_GET_SEC(mytime), FCS_TIME_GET_USEC(mytime), total_num_iters);
-}
+    static inline void fc_solve_print_finished(const long long total_num_iters)
+    {
+        const_AUTO(mytime, fcs_get_time());
+        printf(("Finished at " FCS_T_FMT " (total_num_iters=" FCS_LL_FMT ")\n"),
+            FCS_TIME_GET_SEC(mytime), FCS_TIME_GET_USEC(mytime),
+            total_num_iters);
+    }
 
 #ifdef __cplusplus
 };
diff --git a/fc-solve/source/pqueue.h b/fc-solve/source/pqueue.h
index 66a3d6bc0..8e157dd52 100644
--- a/fc-solve/source/pqueue.h
+++ b/fc-solve/source/pqueue.h
@@ -38,30 +38,31 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "state.h"
 
 #define FC_SOLVE_PQUEUE_MaxRating INT_MAX
-typedef int pq_rating_t;
-typedef struct
-{
-    fcs_collectible_state_t *val;
-    pq_rating_t rating;
-} pq_element_t;
+    typedef int pq_rating_t;
+    typedef struct
+    {
+        fcs_collectible_state_t *val;
+        pq_rating_t rating;
+    } pq_element_t;
 
-static inline pq_rating_t fcs_pq_rating(const pq_element_t elem)
-{
-    return elem.rating;
-}
+    static inline pq_rating_t fcs_pq_rating(const pq_element_t elem)
+    {
+        return elem.rating;
+    }
 
-typedef struct
-{
-    size_t max_size;
-    size_t current_size;
-    pq_element_t *elems; /* pointer to void pointers */
-} pri_queue_t;
+    typedef struct
+    {
+        size_t max_size;
+        size_t current_size;
+        pq_element_t *elems; /* pointer to void pointers */
+    } pri_queue_t;
 
 /* given an index to any element in a binary tree stored in a linear array with
    the root at 1 and
@@ -73,124 +74,124 @@ typedef struct
 
 /* left and right children are index * 2 and (index * 2) +1 respectively */
 #define PQ_LEFT_CHILD_INDEX(i) ((i) << 1)
-/* initialise the priority queue with a maximum size of maxelements.
-   maxrating is the highest or lowest value of an entry in the pqueue
-   depending on whether it is ascending or descending respectively. Finally
-   the bool32 tells you whether the list is sorted ascending or
-   descending... */
-
-static inline void fc_solve_pq_init(pri_queue_t *const pq)
-{
-    pq->current_size = 0;
-    pq->elems = SMALLOC(pq->elems, (pq->max_size = 1024) + 1);
-}
-
-static inline void fc_solve_PQueueFree(pri_queue_t *const pq)
-{
-    free(pq->elems);
-    pq->elems = NULL;
-}
-
-/* Join a priority queue
-   "r" is the rating of the item you're adding for sorting purposes */
+    /* initialise the priority queue with a maximum size of maxelements.
+       maxrating is the highest or lowest value of an entry in the pqueue
+       depending on whether it is ascending or descending respectively. Finally
+       the bool32 tells you whether the list is sorted ascending or
+       descending... */
 
-static inline void fc_solve_pq_push(pri_queue_t *const pq,
-    fcs_collectible_state_t *const val, const pq_rating_t r)
-{
-    var_AUTO(i, ++(pq->current_size));
+    static inline void fc_solve_pq_init(pri_queue_t *const pq)
+    {
+        pq->current_size = 0;
+        pq->elems = SMALLOC(pq->elems, (pq->max_size = 1024) + 1);
+    }
 
-    if (i > pq->max_size)
+    static inline void fc_solve_PQueueFree(pri_queue_t *const pq)
     {
-        pq->elems =
-            (pq_element_t *)SREALLOC(pq->elems, (pq->max_size += 256) + 1);
+        free(pq->elems);
+        pq->elems = NULL;
     }
 
-    const_SLOT(elems, pq);
-    /* set i to the first unused element and increment current_size */
-    /* while the parent of the space we're putting the new node into is
-       worse than
-       our new node, swap the space with the worse node. We keep doing that
-       until we
-       get to a worse node or until we get to the top
-
-       note that we also can sort so that the minimum elements bubble up so
-       we need to loops
-       with the comparison operator flipped... */
-
-    while (
-        (i == PQ_FIRST_ENTRY ? (FC_SOLVE_PQUEUE_MaxRating) /* return biggest
-                                                              possible rating if
-                                                              first element */
-                             : (fcs_pq_rating(elems[PQ_PARENT_INDEX(i)]))) < r)
+    /* Join a priority queue
+       "r" is the rating of the item you're adding for sorting purposes */
+
+    static inline void fc_solve_pq_push(pri_queue_t *const pq,
+        fcs_collectible_state_t *const val, const pq_rating_t r)
     {
-        elems[i] = elems[PQ_PARENT_INDEX(i)];
+        var_AUTO(i, ++(pq->current_size));
 
-        i = PQ_PARENT_INDEX(i);
-    }
+        if (i > pq->max_size)
+        {
+            pq->elems =
+                (pq_element_t *)SREALLOC(pq->elems, (pq->max_size += 256) + 1);
+        }
 
-    /* then add the element at the space we created. */
-    elems[i].val = val;
-    elems[i].rating = r;
-}
+        const_SLOT(elems, pq);
+        /* set i to the first unused element and increment current_size */
+        /* while the parent of the space we're putting the new node into is
+           worse than
+           our new node, swap the space with the worse node. We keep doing that
+           until we
+           get to a worse node or until we get to the top
+
+           note that we also can sort so that the minimum elements bubble up so
+           we need to loops
+           with the comparison operator flipped... */
+
+        while ((i == PQ_FIRST_ENTRY
+                       ? (FC_SOLVE_PQUEUE_MaxRating) /* return biggest
+                                                        possible rating if
+                                                        first element */
+                       : (fcs_pq_rating(elems[PQ_PARENT_INDEX(i)]))) < r)
+        {
+            elems[i] = elems[PQ_PARENT_INDEX(i)];
 
-static inline fcs_bool_t fc_solve_is_pqueue_empty(pri_queue_t *pq)
-{
-    return (pq->current_size == 0);
-}
+            i = PQ_PARENT_INDEX(i);
+        }
 
-/* remove the first node from the pqueue and provide a pointer to it
- *
- * Returns 0 if found.
- * Returns 1 if not found.
- *
- * */
+        /* then add the element at the space we created. */
+        elems[i].val = val;
+        elems[i].rating = r;
+    }
 
-static inline void fc_solve_pq_pop(
-    pri_queue_t *const pq, fcs_collectible_state_t **const val)
-{
-    if (fc_solve_is_pqueue_empty(pq))
+    static inline fcs_bool_t fc_solve_is_pqueue_empty(pri_queue_t *pq)
     {
-        *val = NULL;
-        return;
+        return (pq->current_size == 0);
     }
-    const_SLOT(elems, pq);
-    const_SLOT(current_size, pq);
-    *val = elems[PQ_FIRST_ENTRY].val;
-
-    /* get pointer to last element in tree */
-    const_AUTO(last_elem, elems[current_size]);
 
-    const_AUTO(new_current_size, current_size - 1);
-    /* code to pop an element from an ascending (top to bottom) pqueue */
+    /* remove the first node from the pqueue and provide a pointer to it
+     *
+     * Returns 0 if found.
+     * Returns 1 if not found.
+     *
+     * */
 
-    /*  UNTESTED */
-
-    size_t i;
-    size_t child;
-    for (i = PQ_FIRST_ENTRY;
-         (child = PQ_LEFT_CHILD_INDEX(i)) <= new_current_size; i = child)
+    static inline void fc_solve_pq_pop(
+        pri_queue_t *const pq, fcs_collectible_state_t **const val)
     {
-        /* set child to the smaller of the two children... */
-
-        if ((child != new_current_size) &&
-            (fcs_pq_rating(elems[child + 1]) > fcs_pq_rating(elems[child])))
+        if (fc_solve_is_pqueue_empty(pq))
         {
-            child++;
+            *val = NULL;
+            return;
         }
+        const_SLOT(elems, pq);
+        const_SLOT(current_size, pq);
+        *val = elems[PQ_FIRST_ENTRY].val;
 
-        if (fcs_pq_rating(last_elem) < fcs_pq_rating(elems[child]))
-        {
-            elems[i] = elems[child];
-        }
-        else
+        /* get pointer to last element in tree */
+        const_AUTO(last_elem, elems[current_size]);
+
+        const_AUTO(new_current_size, current_size - 1);
+        /* code to pop an element from an ascending (top to bottom) pqueue */
+
+        /*  UNTESTED */
+
+        size_t i;
+        size_t child;
+        for (i = PQ_FIRST_ENTRY;
+             (child = PQ_LEFT_CHILD_INDEX(i)) <= new_current_size; i = child)
         {
-            break;
+            /* set child to the smaller of the two children... */
+
+            if ((child != new_current_size) &&
+                (fcs_pq_rating(elems[child + 1]) > fcs_pq_rating(elems[child])))
+            {
+                child++;
+            }
+
+            if (fcs_pq_rating(last_elem) < fcs_pq_rating(elems[child]))
+            {
+                elems[i] = elems[child];
+            }
+            else
+            {
+                break;
+            }
         }
-    }
 
-    elems[i] = last_elem;
-    pq->current_size = new_current_size;
-}
+        elems[i] = last_elem;
+        pq->current_size = new_current_size;
+    }
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/preset.h b/fc-solve/source/preset.h
index 7e104a5a4..d7e528b24 100644
--- a/fc-solve/source/preset.h
+++ b/fc-solve/source/preset.h
@@ -12,7 +12,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "config.h"
@@ -20,21 +21,21 @@ extern "C" {
 #ifndef FCS_FREECELL_ONLY
 #include "instance.h"
 
-typedef struct
-{
-    unsigned long long allowed_moves;
-    int preset_id;
+    typedef struct
+    {
+        unsigned long long allowed_moves;
+        int preset_id;
 
-    fcs_game_type_params_t game_params;
+        fcs_game_type_params_t game_params;
 
-    char moves_order[FCS_MOVE_FUNCS_NUM * 3 + 1];
-} fcs_preset_t;
+        char moves_order[FCS_MOVE_FUNCS_NUM * 3 + 1];
+    } fcs_preset_t;
 
-extern fc_solve_preset_ret_code_t fc_solve_apply_preset_by_ptr(
-    fc_solve_instance_t *, const fcs_preset_t *);
+    extern fc_solve_preset_ret_code_t fc_solve_apply_preset_by_ptr(
+        fc_solve_instance_t *, const fcs_preset_t *);
 
-extern fc_solve_preset_ret_code_t fc_solve_get_preset_by_name(
-    const char *, const fcs_preset_t **);
+    extern fc_solve_preset_ret_code_t fc_solve_get_preset_by_name(
+        const char *, const fcs_preset_t **);
 
 #define fcs_duplicate_preset(d, s) ((d) = (s))
 
